# Broadcast receive

An action block that await an app broadcast.

The fiber will pause until a broadcast has been received.

## Input arguments

- Action — action to await.
- URI scheme — scheme/type of the URI to await.
- URI authority — authority/host of the URI to await.
- URI path — path of the URI to await, glob matching can be used.
- MIME type — type of data to await. See MIME type.
- Category — action category, use an array for multiple categories.
- Use sticky — whether to use an initial sticky intent if available.

## Output variables

- Broadcast action — variable to assign the action of the received broadcast.
- Broadcast URI — variable to assign the URI of the received broadcast.
- Broadcast MIME type — variable to assign the type of data the broadcast URI is referring to.
- Broadcast categories — variable to assign an array of broadcast categories.
- Broadcast extras — variable to assign a dictionary with extended broadcast data, inconvertible entries may be excluded.